import React, { ReactElement } from 'react';
declare const IconList: readonly ["check", "right", "upright"];
type IconType = (typeof IconList)[number];
export interface KaSimpleButtonProps {
    leftIcon?: IconType | ReactElement;
    rightIcon?: IconType | ReactElement;
    type?: 'green' | 'gray' | 'w/b';
    size?: 'sm' | 'md' | 'lg';
    disabled?: boolean;
    onClick?: () => void;
    children: React.ReactNode;
    style?: React.CSSProperties;
}
export declare const KaSimpleButton: ({ leftIcon, rightIcon, type, size, children, style, disabled, ...rest }: KaSimpleButtonProps) => ReactElement;
export {};
